Grid Elements - Bug # 55380

Status: Closed Priority: Won't have this time
Author: Bjoern Jacob Category: General Bugs
Created: 2014-01-28 Assigned To:

Updated: 2014-02-26 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Has patch: No

Patch is reviewed: No

Reporter:

Subiject: SQL Error when choosing flexform file

Description

I've created a XML file (utf8, LF) and stored it within my fileadmin. Then I've chosen this file as flexform configuration file for one of my
CE backend layouts. As soon as | hit the save button I'm getting the following error message:

exec_INSERTquery

caller: TYPO3\CMS\Core\Database\DatabaseConnection::exec_INSERTquery

ERROR: Column 'ref_table' cannot be null

lastBuiltQuery: INSERT INTO sys_refindex
(tablename,recuid,field,flexpointer,softref_key,softref_id,sorting,deleted,ref_table,ref uid,ref_string,hash) VALUES
('tx_gridelements_backend_layout','2",'pi_flexform_ds_file',",",",'0",'0',NULL,NULL,",'9ff45e33a244b2c715eb11aaa97d527a’)
debug_backtrace: TYPO3\CMS\Backend\Controller\EditDocumentController->processData#48 //
TYPO3\CMS\Core\DataHandling\DataHandler->process_datamap#497 //
TYPO3\CMS\Core\DataHandling\DataHandler->updateDB#1222 //
TYPO3\CMS\Core\DataHandling\DataHandler->updateReflndex#5808 //
TYPO3\CMS\Core\Database\Referencelndex->updateReflndexTable#5965 //
TYPO3\CMS\Core\Database\DatabaseConnection->exec_INSERTquery#120 //
TYPO3\CMS\Core\Database\DatabaseConnection->debug#206

| don't know if this problem is related to TYPO3 6.2beta4 or gridelements. What do you think?

Related issues:

related to Core - Task # 56352: Impexp: Files of TCA type "group" internal_ty... Resolved 2014-02-26
related to Core - Bug # 56353: SQL Error in sys_refindex on saving records wi... Resolved 2014-02-26
History

#1 - 2014-02-03 23:08 - Bernhard Kraft

| experience the same problem when creating an image element from within EXT:news

#2 - 2014-02-03 23:56 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27310

#3 - 2014-02-03 23:57 - Bernhard Kraft
https://review.typo3.org/27310

Could you try if the supplied patch also fixes the problem when a flexform is used?

#4 - 2014-02-04 00:11 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27310

#5 - 2014-02-04 08:14 - Bjoern Jacob

Thanks Bernhard. The patch works for me. | was able to store the file. Well done :) Yesterday, I've checked out the current master and applied the

patch against it.

#6 - 2014-02-10 23:51 - Jo Hasenau

- Category set to General Bugs

- Status changed from New to Closed

- Priority changed from Should have to Won't have this time
- PHP Version set to 5.4

Core problem, wont be fixed within GE

#7 - 2014-02-16 12:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27310

#8 - 2014-02-16 18:10 - Bjoern Jacob

So what do | have to do to get this into the core? | can't move the ticket to the core. Or should | create a new one within the core project?

#9 - 2014-02-16 18:27 - Jo Hasenau

As you can see, the patch is already made for Packages/TYPO3.CMS, so you just have to wait until the issues is fixed.
But of course you can test and review the patch to speed up that process. :-)

#10 - 2014-02-26 16:42 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27310

#11 - 2014-02-26 18:33 - Marc Bastian Heinrichs

Fix will be handled with issue #56353 now. Please follow over there.
